Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 81686 - usb keyboard "hangs" intermittently
Summary: usb keyboard "hangs" intermittently
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Pete Zaitcev
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-12 19:30 UTC by Chris Ricker
Modified: 2007-04-18 16:49 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-30 15:40:24 UTC


Attachments (Terms of Use)

Description Chris Ricker 2003-01-12 19:30:33 UTC
I'm currently on a fully up2date RHL 8.0 system w/ 2 PII CPUs running the
kernel-smp-2.4.18-19.8.0 kernel.

Sometimes, after periods of inactivity, my USB keyboard will be "hung". The LEDs
will blink, and the keyboard will not respond to any key presses. Unplugging and
replugging the keyboard in resets it and makes it responsive again.

Messages displayed while the keyboard is hung:

Jan 12 12:15:20 verdande kernel: usb-uhci.c: interrupt, status 3, frame# 920
Jan 12 12:15:25 verdande kernel: usb-uhci.c: interrupt, status 3, frame# 1864
Jan 12 12:15:30 verdande kernel: usb-uhci.c: interrupt, status 3, frame# 760
Jan 12 12:15:35 verdande kernel: usb-uhci.c: interrupt, status 3, frame# 1704

every 5 seconds

then unplug and replug:

Jan 12 12:15:39 verdande kernel: usb.c: USB disconnect on device 3
Jan 12 12:15:40 verdande kernel: hub.c: USB new device connect on bus1/2, assign
ed device number 4
Jan 12 12:15:40 verdande kernel: input0: USB HID v1.00 Keyboard [QTRONIX USB Key
board and Mouse] on usb1:4.0
Jan 12 12:15:40 verdande kernel: input1: USB HID v1.00 Mouse [QTRONIX USB Keyboa
rd and Mouse] on usb1:4.1
Jan 12 12:15:44 verdande /etc/hotplug/usb.agent: Setup hid for USB product 5c7/2
011/110
Jan 12 12:15:44 verdande /etc/hotplug/usb.agent: Setup keybdev mousedev for USB 
product 5c7/2011/110


and it works again, at least until it hangs again.

This isn't specific to this 19.8 kernel -- I saw it with older 8.0 kernels as well.

It only seems to occur when the keyboard is idle for a while and only while in X
(but I tend to always be in X on that system, so that may or may not be
required; similarly, I presume its a kernel problem, but it might be an X
problem since I've only seen it there)

usbview describes the keyboard as:

USB Keyboard and Mouse
Manufacturer: QTRONIX
Speed: 1.5Mb/s (low)
USB Version:  1.00
Device Class: 00(>ifc )
Device Subclass: 00
Device Protocol: 00
Maximum Default Endpoint Size: 8
Number of Configurations: 1
Vendor Id: 05c7
Product Id: 2011
Revision Number:  1.10

Config Number: 1
	Number of Interfaces: 2
	Attributes: a0
	MaxPower Needed:  50mA

	Interface Number: 0
		Name: hid
		Alternate Number: 0
		Class: 03(HID  ) 
		Sub Class: 1
		Protocol: 1
		Number of Endpoints: 1

			Endpoint Address: 81
			Direction: in
			Attribute: 3
			Type: Int.
			Max Packet Size: 8
			Interval: 20ms

	Interface Number: 1
		Name: hid
		Alternate Number: 0
		Class: 03(HID  ) 
		Sub Class: 1
		Protocol: 2
		Number of Endpoints: 1

			Endpoint Address: 82
			Direction: in
			Attribute: 3
			Type: Int.
			Max Packet Size: 3
			Interval: 10ms

I'm using the usb-uhci controller module. This system's USB controller is:

00:07.2 USB Controller: Intel Corp. 82371AB/EB/MB PIIX4 USB (rev 01)

Comment 1 Chris Ricker 2003-01-12 19:46:32 UTC
BTW, if it matters, this keyboard has an integrated PS/2 port, but I'm not using
it. The mouse on this system is a serial mouse

Comment 2 Chris Ricker 2003-04-03 14:17:15 UTC
Seeing this with kernel-2.4.20-8smp on RHL 9 as well

Comment 3 Pete Zaitcev 2004-01-20 04:36:18 UTC
Does Fedora do the same?


Comment 4 Pete Zaitcev 2004-01-20 04:37:01 UTC
Dax, what are you doing on cc:? Do you have a reproducer for this?


Comment 5 Dax Kelson 2004-01-20 04:50:22 UTC
No, I was just curious.

Comment 6 Chris Ricker 2004-01-20 12:55:28 UTC
alphas & betas up to the release of Fedora Core 1 did (Aug / Sep / Oct
kernel releases)

I've not tried any of the most recent Fedora kernels since I moved
cross-country in November and that machine hasn't (yet). It should be
getting here at the end of this month, though, so I'll update then....

Comment 7 Pete Zaitcev 2004-04-19 16:08:52 UTC
Please retry with either FC1 or FC2 Test releases (2.6 kernel).

Normally these symptoms point to BIOS trying to emulate
legacy keyboard under our feet though, so I don't think
I can do anything. But let's not discount a possible SMP
breakage.


Comment 8 Chris Ricker 2004-04-19 20:37:45 UTC
Still does it with FC1 (2179 kernel)

Comment 9 Pete Zaitcev 2004-04-19 22:52:35 UTC
Have you tried a different keyboard? Trying to split hid off uhci here.


Comment 10 Bugzilla owner 2004-09-30 15:40:24 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.